#
# spec file for package servicelog (Version 1.0.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           servicelog
Version:        1.0.1
Release:        13.6.32
Summary:        Servicelog Tools
BuildRequires:  libservicelog-devel
Group:          System/Management
License:        GPL v2 only
Url:            http://linux-diag.sourceforge.net/servicelog 
Source0:        http://downloads.sourceforge.net/linux-diag/%{name}-%{version}.tar.bz2
Patch0:         initialise-variables
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Command-line interfaces for viewing and manipulating the contents of
the servicelog database.  Servicelog contains entries that are useful
for performing system service operations, and for providing a history
of service operations that have been performed on the system.



Authors:
--------
    Mike Strosaker <strosake@austin.ibm.com>
    Nathan Fontenot <nfont@austin.ibm.com>

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fi
%configure
%{__make} %{?jobs:-j%jobs}

%install
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/servicelog
%{_bindir}/servicelog_notify
%{_bindir}/log_repair_action
%{_sbindir}/slog_common_event
%{_mandir}/man*/*

%changelog
* Tue Oct  5 2010 duwe@suse.de
- packport to sle10-sp4 (FATE#309746)
* Thu Dec 10 2009 duwe@suse.de
- Fix uninitialised event pointer (bnc#482351)
* Thu Sep 11 2008 olh@suse.de
- fix typo in defattr line
* Wed Sep 10 2008 olh@suse.de
- new servicelog 1.0.1 package (bnc#417533)
